Bug 479521 - Invalid character in ttf name table regarding copyright that crashes XML marshalling
Invalid character in ttf name table regarding copyright that crashes XML mars...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
11
All All
low Severity medium
: ---
: ---
Assigned To: Caius Chance
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-10 11:29 EST by Pander
Modified: 2009-06-30 22:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 22:47:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pander 2009-01-10 11:29:05 EST
Description of problem:
Invalid character in ttf name table regarding copyright that crashes XML marshalling

Version-Release number of selected component (if applicable):
  ttf-liberation 1.04~beta2-2 from Ubuntu 8.10

How reproducible:


Steps to Reproduce:
1. retrieve font nama table
  ttx -d . -t name /usr/share/fonts/truetype/ttf-liberation/LiberationSans-Regular.ttf

2. in python, read the XML file via
  doc = libxml2.parseFile('LiberationSans-Regular.ttx')
  
Actual results:
LiberationSans-Regular.ttx:27: parser error : xmlParseCharRef: invalid xmlChar value 1
      Liberation is a trademark of Red Ht, Inc. registered in U.S. Patent an
                                            ^
LiberationSans-Regular.ttx:69: parser error : xmlParseCharRef: invalid xmlChar value 1
      Liberation is a trademark of Red Ht, Inc. registered in U.S. Patent an

Expected results:
Red Ht should be Red Hat, this is all right for the other TTF files in this package.

Additional info:
Please fix and push updated package downstream.
Comment 2 Pander 2009-04-29 09:56:06 EDT
Please also fix LiberationSerif-BoldItalic, see line 57:
  Ascender - Liberation Seri Bold Italic
from:
  ttx -d . -t name LiberationSerif-BoldItalic.ttf
Comment 3 Pander 2009-04-29 09:57:44 EDT
Please check all metadata in output of "ttx -d . -t name" for unwanted &# HTML codes. Python (and other) XML parsers crash on it.
Comment 4 Bug Zapper 2009-06-09 06:38:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jens Petersen 2009-06-22 01:42:26 EDT
ping
Comment 6 Pander 2009-06-23 07:03:32 EDT
Has the second bug also been fixed and available for download?
Comment 7 Caius Chance 2009-06-23 19:44:32 EDT
pong, in progress
Comment 8 Caius Chance 2009-06-30 22:47:28 EDT
Fixed on 1.05.1.20090630.

Note You need to log in before you can comment on or make changes to this bug.